Switch a Page on or off
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": "AGENT_ID"
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/"
payload = { "assistant_id": "AGENT_ID" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 'AGENT_ID'})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assistant_id' => 'AGENT_ID'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/"
payload := strings.NewReader("{\n \"assistant_id\": \"AGENT_ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assistant_id\": \"AGENT_ID\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assistant_id\": \"AGENT_ID\"\n}"
response = http.request(request)
puts response.read_body{
"page_id": "300000000000001",
"page_name": "Acme Dental",
"ig_account_id": "",
"ig_username": "",
"status": "pending",
"is_primary": true,
"activated_at": null,
"channels": [
"messenger"
],
"own_app": false,
"last_health": {},
"last_health_check_at": null,
"settings": {},
"location": null,
"agent": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
Switch a Page on or off
Switches on an agent for the Page and its Instagram account. Send assistant_id to name the agent, or on false to pause. Needs the channels:write scope.
POST
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
channels
/
meta
/
pages
/
{page_id}
/
activate
/
Switch a Page on or off
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": "AGENT_ID"
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/"
payload = { "assistant_id": "AGENT_ID" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 'AGENT_ID'})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assistant_id' => 'AGENT_ID'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/"
payload := strings.NewReader("{\n \"assistant_id\": \"AGENT_ID\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"assistant_id\": \"AGENT_ID\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/channels/meta/pages/{page_id}/activate/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assistant_id\": \"AGENT_ID\"\n}"
response = http.request(request)
puts response.read_body{
"page_id": "300000000000001",
"page_name": "Acme Dental",
"ig_account_id": "",
"ig_username": "",
"status": "pending",
"is_primary": true,
"activated_at": null,
"channels": [
"messenger"
],
"own_app": false,
"last_health": {},
"last_health_check_at": null,
"settings": {},
"location": null,
"agent": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Body
application/json
Response
Success